/**
 * 
 */
package de.urszeidler.eclipse.callchain.ui.wizards;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;

/**
 * @author urs
 * 
 */
public class AtlFlowProjectPage extends CallchainSimpleTemplatePage {
	private Group projectGroup;
	private Button gmfTemplateButton;
	private Button ecoreTemplateButton;
	private Button ecoreCopyTemplateButton;
	private Button topcaseDiagramTemplateButton;
	private Button topcasePropertyTemplateButton;

	public AtlFlowProjectPage(String pageName) {
		super(pageName, null);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.jface.dialogs.IDialogPage#createControl(org.eclipse.swt.widgets
	 * .Composite)
	 */
	@Override
	public void createControl(Composite parent) {
		Composite mainComp = new Composite(parent, SWT.NONE);
		mainComp.setLayout(new GridLayout());
		mainComp.setLayoutData(new GridData(GridData.FILL_BOTH));
		mainComp.setFont(parent.getFont());

		createTemplateSelections(mainComp);

		createProjectNatureGoup(mainComp);

		// Initialize widgets value
		loadData();

		// Show description on opening
		setErrorMessage(null);
		setMessage(null);
		setControl(mainComp);

		setPageComplete(validatePage());

	}

	private void createTemplateSelections(Composite parent) {
		projectGroup = new Group(parent, SWT.NONE);
		projectGroup.setText("Templates to create");
		projectGroup.setLayout(new GridLayout(1, false));
		projectGroup.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));

		gmfTemplateButton = new Button(projectGroup, SWT.CHECK);
		gmfTemplateButton.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		gmfTemplateButton.setText("ecore to gmf template");
		gmfTemplateButton.setSelection(true);

		
		ecoreTemplateButton = new Button(projectGroup, SWT.CHECK);
		ecoreTemplateButton.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		ecoreTemplateButton.setText("ecore template");
		ecoreTemplateButton.setSelection(true);
		
		ecoreCopyTemplateButton = new Button(projectGroup, SWT.CHECK);
		ecoreCopyTemplateButton.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		ecoreCopyTemplateButton.setText("ecore copy template");
		ecoreCopyTemplateButton.setSelection(true);
		
		topcaseDiagramTemplateButton = new Button(projectGroup, SWT.CHECK);
		topcaseDiagramTemplateButton.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		topcaseDiagramTemplateButton.setText("topcased diagram editor template");
		topcaseDiagramTemplateButton.setSelection(true);
		
		topcasePropertyTemplateButton = new Button(projectGroup, SWT.CHECK);
		topcasePropertyTemplateButton.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		topcasePropertyTemplateButton.setText("topcased property view templat");
		topcasePropertyTemplateButton.setSelection(true);
		
	}

	@Override
	protected void loadData() {
	}
	/**
	 * Check if the informations contained in the page are OK
	 * 
	 * @return true is OK
	 */
	protected boolean validatePage() {
		setMessage(null);
		setErrorMessage(null);
		return true;
	}

	public boolean canCreateGMF() {
		return gmfTemplateButton.getSelection();
	}

	public boolean canCreateAtlCopy() {
		return ecoreCopyTemplateButton.getSelection();
	}

	public boolean canCreateEcore() {
		return ecoreTemplateButton.getSelection();
	}

	public boolean canCreateTopcasedDiagram() {
		return topcaseDiagramTemplateButton.getSelection();
	}

	public boolean canCreateTopcasedView() {
		return topcasePropertyTemplateButton.getSelection();
	}
	
	
}
