<?xml version="1.0"?>
<xsl:stylesheet
   version="1.1"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" indent="no" encoding="UTF-8" />

<xsl:template match="toc" >

<html><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<link rel="stylesheet" type="text/css" href="style.css"/><title>callchain help</title></head>
<body>
<h1>Table of Contents</h1>
<p class="text">This plug in provides a diagram editor for
modeling a process of model transformations in ATL.
It describes the structure of a transformation flow. The plug in has
also the ability to execute the transformations.
You can see it as an planing and execution board.</p>
<p class="text">It's an GMF based diagram editor to
produce
models of transformation
flows, the GMF editor is customized to support multi diagramming. You
can define several diagrams in the diagram file. They are displayed in
the outline view, where you also can manage them. </p>

         <h1><xsl:value-of select="@label" /></h1>
         <ul>
            <xsl:apply-templates />
         </ul>

<img alt="overview" src="overview.png"/>
<br/>
<br/>

<p class="text">You can either start the flow on the model
object or on the start menu. Each executable model object can be
executed by it's contextmenu. You can also define a run configuration.</p>
<br/>
<img alt="run configuration" src="start_configuration/call_page.png"/><br/>
<br/>
<p class="text">In
the run configuration you can select your transformation model, and the
start transfomation. You also define to start the transformations in
chain mode. So after a transformation the transformation in the next
feature will be started.</p>
<p><span class="text">You can now validate the transformation flow with the validate action.
</span></p><img src="validate.png" />
</body></html>
</xsl:template>

<xsl:template match="topic">
   <li>
      <xsl:choose>
         <xsl:when test="@href">
            <!-- Only add a hyperlink when there is something to link to -->
            <xsl:element name="a">
               <xsl:attribute name="href">
                    <xsl:variable name="ref" select="@href"/>                  
                   <xsl:value-of select="substring-after($ref, 'html/')"/>
                  </xsl:attribute>
               <xsl:value-of select="@label" />
            </xsl:element>
         </xsl:when>
         <xsl:otherwise>
            <xsl:value-of select="@label" />
         </xsl:otherwise>
      </xsl:choose>

      <!-- If there are any nested topics, then start a new sub-list -->
      <xsl:if test="descendant::topic">
         <ul>
            <xsl:apply-templates/>
         </ul>
      </xsl:if>
   </li>
</xsl:template>

</xsl:stylesheet>